For Developers
Update Shared Product
PATCH https://ed.link/api/v2/teams/:team_id/integrations/:integration_id/products/:product_id
Updates seat allocation thresholds for a shared product.
Permissions
Requires the products.update system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:integration_id | UUID | Yes | The ID of the integration. |
:product_id | UUID | Yes | The ID of the product. |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
soft_cap | Number | No | Warning ceiling for student/staff allocations. |
hard_cap | Number | No | Maximum permitted student/staff allocations. |
Sample Request
const response = await axios.patch(
`https://ed.link/api/v2/teams/${team_id}/integrations/${integration_id}/products/${product_id}`,
{
soft_cap: 600,
hard_cap: 650
},
{
headers: {
authorization: `Bearer ${user_session_token}`,
'content-type': 'application/json'
}
}
);
Sample Response
{
"$data": {
"id": "e891024b-3211-479c-9c3f-918239023412",
"soft_cap": 600,
"hard_cap": 650
}
}
